# Custom event

Trigger the following scriptlet to capture a custom event information.

```
window._mp.safeExecute('evCustomEvent', function() {
   eedl('<PLEASE PROVIDE THE CUSTOME EVENT NAME HERE>', {
      // Please provide the event json payload here
   });
})();
```

Example:

```
window._mp.safeExecute('evCustomEvent', function() {
   eedl('calculator_start', {
      calculator_type: 'protien_calculator'
   });
})();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ingestlabs.com/implementation/web-sdk/tracking-events/custom-event.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
